﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Infragistics.Win.UltraWinTree;

namespace WindowsFormsApplication635
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        int lastIndex = 0;
        private void ultraGrid1_BeforeRowsDeleted(object sender, Infragistics.Win.UltraWinGrid.BeforeRowsDeletedEventArgs e)
        {
            lastIndex = e.Rows[0].VisibleIndex;
        }

        private void ultraGrid1_AfterRowsDeleted(object sender, EventArgs e)
        {
            if (lastIndex < ultraGrid1.Rows.Count)
            {
                ultraGrid1.Rows[lastIndex].Activate();
                ultraGrid1.Rows[lastIndex].Selected = true;
            }
        }
        private void ultraTree1_BeforeDelete(object sender, Infragistics.Win.UltraWinTree.BeforeNodesDeletedEventArgs e)
        {
            ultraTree1.PerformAction(UltraTreeAction.NextNode, false, false);
        }
    }
}
